## API Report File for "@genesislcap/foundation-services-status"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import { Connect } from '@genesislcap/foundation-comms';
import { Datasource } from '@genesislcap/foundation-comms';
import { ElementStyles } from '@microsoft/fast-element';
import { FASTElement } from '@microsoft/fast-element';
import type { ServerRow } from '@genesislcap/foundation-comms';
import { ViewTemplate } from '@microsoft/fast-element';

// @public (undocumented)
export const foundationServicesStatusStyles: ElementStyles;

// @public (undocumented)
export const getPrefixedServicesStatus: (designSystemPrefix: string, templates?: ServiceStatusGetTemplateParmas) => ViewTemplate<ServicesStatus, any>;

// Warning: (ae-internal-missing-underscore) The name "SERVICE_STATUS_CLOSE_TIMEOUT" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export const SERVICE_STATUS_CLOSE_TIMEOUT = 10000;

// @public
export const SERVICE_STATUS_EVENTS_NAMES: {
    readonly SERVICES_CHANGED: "servicesChanged";
    readonly SERVICE_FAIL: "serviceFail";
    readonly SERVICE_RESTORED: "serviceRestored";
    readonly CLOSE_MESSAGE: "dismiss";
    readonly AUTO_CLOSE_MESSAGE: "autoDismiss";
};

// Warning: (ae-internal-missing-underscore) The name "SERVICE_STATUS_LOGGER_PREFIX" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export const SERVICE_STATUS_LOGGER_PREFIX = "FoundationServicesStatus - ";

// @public
export interface ServiceItem {
    // (undocumented)
    id: string;
    // (undocumented)
    isWorking: boolean;
    // (undocumented)
    name: string;
}

// Warning: (ae-internal-missing-underscore) The name "ServiceServerItem" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export interface ServiceServerItem extends ServerRow {
    // (undocumented)
    DATADUMP: boolean;
    // (undocumented)
    LOG_LEVEL: string;
    // (undocumented)
    PROCESS_CPU_USAGE: number;
    // (undocumented)
    PROCESS_ENABLED: boolean;
    // (undocumented)
    PROCESS_HOSTNAME: string;
    // (undocumented)
    PROCESS_MEM_USAGE: number;
    // (undocumented)
    PROCESS_NAME: string;
    // (undocumented)
    PROCESS_PORT: number;
    // (undocumented)
    PROCESS_RESOURCES: string;
    // (undocumented)
    PROCESS_SECURE: boolean;
    // (undocumented)
    PROCESS_STATE_TEXT: string;
    // (undocumented)
    PROCESS_STATUS: boolean;
    // (undocumented)
    PROCESS_STATUS_MESSAGE: string;
    // (undocumented)
    START_TIME: string;
}

// @public
export class ServicesStatus extends FASTElement {
    // (undocumented)
    addMessage(newMessage: ServiceItem | ServiceItem[]): void;
    // (undocumented)
    allMessages: ServiceItem[];
    // (undocumented)
    allMessagesChanged(): void;
    // (undocumented)
    autoClose: ServicesStatusConfig['autoClose'];
    // (undocumented)
    closeTimeout: ServicesStatusConfig['closeTimeout'];
    // (undocumented)
    connect: Connect;
    // (undocumented)
    connectedCallback(): void;
    // (undocumented)
    datasource: Datasource;
    // (undocumented)
    disconnectedCallback(): void;
    // (undocumented)
    displayMessages: ServiceItem[];
    // (undocumented)
    emitCloseMessage(target: any, identifier: any): void;
    // (undocumented)
    eventNameAutoCloseMessage: "autoDismiss";
    // (undocumented)
    eventNameCloseMessage: "dismiss";
    // Warning: (ae-incompatible-release-tags) The symbol "getTextHelper" is marked as @public, but its signature references "ServiceStatusHelperText" which is marked as @internal
    //
    // (undocumented)
    getTextHelper: (textType: ServiceStatusHelperText, type: ServiceStatusAvailableTypes, item: ServiceItem) => string;
    // (undocumented)
    maxMessages: ServicesStatusConfig['maxMessages'];
    // (undocumented)
    maxMessagesChanged(): void;
    // (undocumented)
    messageFailed: string;
    // (undocumented)
    messageRestored: string;
    // (undocumented)
    resourceName: string;
    // (undocumented)
    stopMonitoring(): void;
    // (undocumented)
    titleFailed: string;
    // (undocumented)
    titleRestored: string;
}

// @public
export interface ServicesStatusConfig {
    // (undocumented)
    autoClose: boolean;
    // (undocumented)
    closeTimeout: number;
    // (undocumented)
    maxMessages: number;
}

// @public
export type ServiceStatusAvailableTypes = 'restored' | 'failed';

// @public
export interface ServiceStatusGetTemplateParmas {
    // (undocumented)
    failed: (prefix: string, item: ServiceItem) => any;
    // (undocumented)
    restored: (prefix: string, item: ServiceItem) => any;
}

// Warning: (ae-internal-missing-underscore) The name "ServiceStatusHelperText" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export type ServiceStatusHelperText = 'title' | 'message';

// @public
export class ZeroServicesStatus extends ServicesStatus {
    // @internal (undocumented)
    connectedCallback(): Promise<void>;
    // @internal (undocumented)
    protected loadRemotes(): Promise<void>;
}

// (No @packageDocumentation comment for this package)

```
